#!/usr/bin/env bash

if [ "${PROJECT_PATH}" == "" ]; then
    echo "PROJECT_PATH IS NOT FOUND"
    # shellcheck disable=SC2242
    exit -1
fi

if [ "${APP_ID}" == "" ]; then
    echo "APP_ID IS NOT FOUND"
    # shellcheck disable=SC2242
    exit -1
fi

# 切换到项目目录
# shellcheck disable=SC2164
# shellcheck disable=SC2009
cd "${PROJECT_PATH}" && rm -rf "${APP_ID}" && git clone www@git.zhangdeman.cn:zhangdeman/"${APP_ID}".git

echo "${APP_ID}服务发布成功"
